 | DrawingCreatorExtensionAddViews Method |
Called after PreAddViews. If you return true, you are responsible of creating all the views using
SW API. Dimensions are imported for all views after this if defined in Drawing Creation Rule settings.
Namespace:
CTExtensions.Interfaces
Assembly:
CTInterface (in CTInterface.dll)
Syntaxpublic virtual bool AddViews(
Object oDrwDoc,
Object oSheet,
Object oSourceModel,
string oSourceConfiguration
)
Public Overridable Function AddViews (
oDrwDoc As Object,
oSheet As Object,
oSourceModel As Object,
oSourceConfiguration As String
) As Boolean
Parameters
- oDrwDoc
- Type: SystemObject
SolidWorks.Interop.SldWorks.IDrawingDoc - the drawing. - oSheet
- Type: SystemObject
SolidWorks.Interop.SldWorks.ISheet - the sheet. - oSourceModel
- Type: SystemObject
SolidWorks.Interop.SldWorks.IModelDoc2 - the source model document. - oSourceConfiguration
- Type: SystemString
Configuration to use
Return Value
Type:
BooleanTrue to cancel CT Core's view creation.
Availability
See Also